version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_nodam
    ports:
      - "2236:22"     # SSH
      - "52530:52530" # 관리자 erp
      - "52532:52532"  # http 서버
      - "52533:52533" # TCP/IP 서버
      - "53306:53306" # MYSQL
    network_mode: bridge
    restart: always
    volumes:
      - ./home/ubuntu/node:/home/ubuntu/node
      - ./var/www/html:/var/www/html
      - ./etc/nginx/sites-available/default:/etc/nginx/sites-available/default
      - nodam_dbconfig:/etc/mysql
      - nodam_dbdata:/var/lib/mysql
volumes:
    nodam_dbconfig:
        external: true
    nodam_dbdata:
        external: true    
